# Lösung 08 #
Wie bekommt man diese Lösung zum laufen?

1. Aufsetzen des MongoDB Servers.
    * MongoDB installieren: [Install Guide](http://docs.mongodb.org/manual/installation/ "Install Guide")
    * MongoDB mitteilen, wo die sich die Datenbank befinden soll.
    * mongod starten
2. Daten eintragen
    * `$ mongo`: Pfad beachten, falls mongo nicht in der PATH Umgebungsvariable enthalten ist.
    * `use mmn-1415-assignment08` Hiermit wird die Datenbank aufgesetzt
    * `db.suggestions.insert(...)` In das insert kann einfach das JSON Object in `data/data.js` kopiert werden. Wenn die Query ausgeführt ist, sind die Daten in der DB
3. Überprüfen
	* `$ mongo`: siehe oben
	* `show dbs`: Listet Datenbanken auf. Darunter sollte mmn-1415-assignment08 auftauchen
	* `use mmn-1415-assignmnent08`: Zur Datenbank wechseln
	* `show collections`: Hier sollte die collection "suggestions" auftauchen.

# NodeJS #
* Auf jeden Fall ein `$ npm install` ausführen, damit das `monk` Modul package geladen wird.
* Mongo Daemon starten! Unter windows muss man meistens `--dbpath=C:\path\to\your\db` mitgeben.
* Es kann sein, dass eure Datenbank nicht unter `localhost/mmn-1415-assignment08` zu finden ist. 


# Shorthand Debugging #
Ich habe einen POST-Endpunkt `/service/clearSuggestions` definiert, mit dem man die Daten
wieder zurücksetzen kann. Damit man das nicht aus Versehen macht, muss man einen Parameter
`{really: 'really'}` mitgeben.

Hier ein Screenshot von PostMan:

![alt text](Uebung08/HF/Loesung08/Screenshot-FlushDB.PNG "MongoDB flush")

Screenshot aus git:

![alt text](https://gitlab.cip.ifi.lmu.de/stockinger/mmn-ws-14-15/raw/master/Uebung08/HF/Loesung08/Screenshot-FlushDB.PNG)